import request from '../request'

const exam = {
	//获取顺序练习分类
	studentQuestionInfoSelectSxQuestionInfo(params) {
		return request({
			url: 'student/question/info/selectSxQuestionInfo',
			method: 'get',
			params
		})
	},
	//获取分类专题分类
	studentQuestionInfoSelectFlQuestionInfo(params) {
		return request({
			url: "student/question/info/selectFlQuestionInfo",
			method: 'get',
			params
		})
	},
	//获取地方题分类
	studentQuestionInfoSelectDfQuestionInfo(params) {
		return request({
			url: "student/question/info/selectDfQuestionInfo",
			method: 'get',
			params
		})
	},
	//获取精选题目
	studentQuestionInfoSelectJxQuestionInfo(params) {
		return request({
			url: "student/question/info/selectJxQuestionInfo",
			method: 'get',
			params
		})

	},
	//获取最大成绩，平均成绩，预测成绩
	studentScoreInfoGetScoreInfoAll(params) {
		return request({
			url: "student/score/info/getScoreInfoAll",
			method: 'get',
			params
		})
	},
	//查询模拟考成绩列表
	studentScoreInfoList(params) {
		return request({
			url: "student/score/info/list",
			method: 'get',
			params
		})

	},
	//查询模拟考试题库
	studentQuestionInfoSelectTestQuestionInfo(params) {
		return request({
			url: "open-api/question/info/selectTestK14QuestionInfoList",
			method: 'get',
			params
		})
	},
	//查询题库
	studentQuestionInfoList(params) {
		return request({
			url: "student/question/info/list",
			method: 'get',
			params
		})
	},

	//新增模拟考成绩
	studentScoreInfo(data) {
		return request({
			url: 'student/score/info',
			method: "post",
			data
		})

	},
	//新增收藏
	studentQuestionCollection(data) {
		return request({
			url: "student/question/collection",
			method: "post",
			data
		})
	},
	//新增错题
	studentQuestionWrong(data) {
		return request({
			url: "student/question/wrong",
			method: "post",
			data
		})
	},
	//查询错题
	studentQuestionWrongList(data) {
		return request({
			url: "student/question/wrong/list",
			method: "get",
			data
		})

	},
	//查询收藏题
	studentQuestionCollectionList(data) {
		return request({
			url: "student/question/collection/list",
			method: "get",
			data
		})
	},
	//清空错题
	studentQuestionWrongCancelAll(data) {
		return request({
			url: "student/question/wrong/cancelAll",
			method: "DELETE",
			data
		})
	},
	//合并本机和云端错题
	studentQuestionWrongWrongs(data, params = {}) {
		return request({
			url: "student/question/wrong/wrongs",
			method: "POST",
			data,
			params
		})
	},
	//备份本机错题到云端
	studentQuestionWrongBakWrongs(data) {
		return request({
			url: "student/question/wrong/bakWrongs",
			method: "POST",
			data
		})
	},
	//清空收藏题
	studentQuestionCollectionCancelAll(data) {
		return request({
			url: "student/question/collection/cancelAll",
			method: "delete",
			data
		})
	},
	//恢复云端收藏到本机
	studentQuestionCollectionCollectionByUser(params) {
		return request({
			url: "student/question/collection/collectionByUser",
			method: "get",
			params
		})
	},
	//合并本机和云端收藏
	studentQuestionCollectionCollections(data) {
		return request({
			url: "student/question/collection/collections",
			method: "POST",
			data
		})
	},
	//备份本机收藏到云端
	studentQuestionCollectionBakCollections(data) {
		return request({
			url: "student/question/collection/bakCollections",
			method: "POST",
			data
		})
	},
	//批量取题
	studentQuestionInfoGetQuestionInfoByIds(data) {
		return request({
			url: "student/question/info/getQuestionInfoByIds",
			method: "POST",
			data
		})

	},
	//小程序恢复云端错题到本机（根据用户获取错题）
	studentQuestionWrongWrongCountByUser(params) {
		return request({
			url: "student/question/wrong/wrongCountByUser",
			method: "get",
			params
		})

	},
	//app恢复云端错题到本机（根据用户获取错题）
	studentQuestionWrongAppWrongByUser(params) {
		return request({
			url: "student/question/wrong/appWrongByUser",
			method: "get",
			params
		})

	},
	//根据用户获取收藏数
	studentQuestionCollectionCollectionCountByUser(params) {
		return request({
			url: "student/question/collection/collectionCountByUser",
			method: "get",
			params
		})
	},
	//根据用户获取错题列表
	studentQuestionWrongWrongByUser(params) {
		return request({
			url: "student/question/wrong/wrongByUser",
			method: "get",
			params
		})

	},
	//小程序恢复云端收藏到本机（根据用户获取收藏题）
	studentQuestionCollectionCollectionByUser(params) {
		return request({
			url: "student/question/collection/collectionByUser",
			method: "get",
			params
		})

	},
	//app恢复云端收藏到本机（根据用户获取收藏题
	studentQuestionCollectionAppCollectionByUser(params) {
		return request({
			url: "student/question/collection/appCollectionByUser",
			method: "get",
			params
		})
	},
	//查询秘密卷
	studentQuestionInfoSelectMiQuestionInfoList(params) {
		return request({
			url: "student/question/info/selectMiQuestionInfoList",
			method: "get",
			params
		})

	},
	//获取考场省份
	studentExamInfoGetProvice(params) {
		return request({
			url: "student/exam/info/getProvice",
			method: "get",
			params
		})


	},
	//查询考场信息列表
	studentExamInfoList(params) {
		return request({
			url: "student/exam/info/list",
			method: "get",
			params
		})

	},
	//查询我的考场信息列表
	studentExamInfoMylist(params) {
		return request({
			url: "student/exam/info/myList",
			method: "get",
			params
		})

	},
	//根据省份ID获取考场城市
	studentExamInfoCityProviceId(proviceId) {
		return request({
			url: `student/exam/info/city/${proviceId}`,
			method: "get"
		})

	},
	//根据城市获取区县
	studentExamInfoCountyCityId(cityId){
		return request({
			url: `student/exam/info/county/${cityId}`,
			method: "get"
		})
	},
	//根据ip获取你的大致位置
	studentExamInfoIp() {
		return request({
			url: `student/exam/info/ip`,
			method: "get"
		})

	},
	//查询三力测试列表
	studentThreeForceList(params) {
		return request({
			url: `student/three/force/list`,
			method: "get",
			params
		})

	},
	// 获取三力测试模拟考题
	studentThreeForceSelectTestQuestionInfoList(){
		return request({
			url: `student/three/force/selectTestQuestionInfoList`,
			method: "get",
		
		})
	}
	//
}

export default exam